#Introduction 

The widely-accepted explanation for the initial formation of the Solar System is known as the Nebular Hypothesis, that the Sun formed from a collapsing, dense region of an interstellar molecular cloud, with the remainder of material gravitationally accreting and flattening into an orbiting circular disk.  This excess material eventually coalesced to form the small solar system bodies, including planets, moons, asteroids, and comets. After their initial formation, however, the orbital parameters of small bodies were not static. Due to complex gravitational interactions and interchanges of orbital energy between particles, planets, remaining small-bodies, and particles experienced 'migration' – periods during which their orbital parameters evolved substantially, particularly in their orbital radii (Semi-Major Axis). Migration is believed to account for the current configuration of planets in the solar system, including the gas giants. Additionally, it offers a likely explanation for the small orbital radii and, consequently, short orbital periods of “Hot Jupiter” planets which have been detected in extrasolar planetary systems, as it suggests that their orbits may have undergone an inward migration and eventual stabilization. Evidence suggests that migration could account for the current orbit of Neptune, since the orbit periods of a number of small solar system bodies appear to be in resonance,  which must be the result of gravitational interactions with Neptune. 
	A numerical simulation of a gas-less, solar-like proto-planetary disk was performed by Rodney S Gomes et. al. (Planetary Migration in a Planetesimal Disk: Why Did Neptune Stop at 30 AU? - 2004) to investigate Neptune's migration. The result was an outward migration of Neptune, which stabilized at a semi-major axis of approximately 30 AU from the central star, remarkably close to it's actual semi-major axis of 29.21 AU. Migration was found to be sensitive to the mass density of the proto-planetary disk. Outlying material, representing an initially close-in 'Kuiper Belt', quickly dispersed and lost a significant portion of its mass before Neptune stabilized into its final orbit, thus placing Neptune, effectively, on the edge of the disk after it ceased migrating. This result was obtained by setting the initial radius of the disk to ~35 AU, with a linear mass density of ~1.5 Earth masses per AU. When the mass density of the disk was increased (relatively massive disk), Neptune showed a runaway migration out to very large distances, due to interaction with particles that continually “fed” its migration.  In a previous simulation of 10,000 particles, with a disk which encompassed 60 Earth masses of material between 20 and 45 AU, and and r^-(1.5) surface density profile, Gomes (2003) observed an outward migration of Neptune and stabilization at 45 AU. 